<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ilacDVO StructType
 * @subpackage Structs
 */
class IlacDVO extends AbstractStructBase
{
    /**
     * The barkod
     * @var int
     */
    public $barkod;
    /**
     * The ilacAdi
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $ilacAdi;
    /**
     * The sgkIlacKodu
     * @var int
     */
    public $sgkIlacKodu;
    /**
     * The ambalajMiktari
     * @var float
     */
    public $ambalajMiktari;
    /**
     * The tekDozMiktari
     * @var float
     */
    public $tekDozMiktari;
    /**
     * The kutuBirimMiktari
     * @var float
     */
    public $kutuBirimMiktari;
    /**
     * Constructor method for ilacDVO
     * @uses IlacDVO::setBarkod()
     * @uses IlacDVO::setIlacAdi()
     * @uses IlacDVO::setSgkIlacKodu()
     * @uses IlacDVO::setAmbalajMiktari()
     * @uses IlacDVO::setTekDozMiktari()
     * @uses IlacDVO::setKutuBirimMiktari()
     * @param int $barkod
     * @param string $ilacAdi
     * @param int $sgkIlacKodu
     * @param float $ambalajMiktari
     * @param float $tekDozMiktari
     * @param float $kutuBirimMiktari
     */
    public function __construct($barkod = null, $ilacAdi = null, $sgkIlacKodu = null, $ambalajMiktari = null, $tekDozMiktari = null, $kutuBirimMiktari = null)
    {
        $this
            ->setBarkod($barkod)
            ->setIlacAdi($ilacAdi)
            ->setSgkIlacKodu($sgkIlacKodu)
            ->setAmbalajMiktari($ambalajMiktari)
            ->setTekDozMiktari($tekDozMiktari)
            ->setKutuBirimMiktari($kutuBirimMiktari);
    }
    /**
     * Get barkod value
     * @return int|null
     */
    public function getBarkod()
    {
        return $this->barkod;
    }
    /**
     * Set barkod value
     * @param int $barkod
     * @return \StructType\IlacDVO
     */
    public function setBarkod($barkod = null)
    {
        // validation for constraint: int
        if (!is_null($barkod) && !is_numeric($barkod)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($barkod)), __LINE__);
        }
        $this->barkod = $barkod;
        return $this;
    }
    /**
     * Get ilacAdi value
     * @return string|null
     */
    public function getIlacAdi()
    {
        return $this->ilacAdi;
    }
    /**
     * Set ilacAdi value
     * @param string $ilacAdi
     * @return \StructType\IlacDVO
     */
    public function setIlacAdi($ilacAdi = null)
    {
        // validation for constraint: string
        if (!is_null($ilacAdi) && !is_string($ilacAdi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($ilacAdi)), __LINE__);
        }
        $this->ilacAdi = $ilacAdi;
        return $this;
    }
    /**
     * Get sgkIlacKodu value
     * @return int|null
     */
    public function getSgkIlacKodu()
    {
        return $this->sgkIlacKodu;
    }
    /**
     * Set sgkIlacKodu value
     * @param int $sgkIlacKodu
     * @return \StructType\IlacDVO
     */
    public function setSgkIlacKodu($sgkIlacKodu = null)
    {
        // validation for constraint: int
        if (!is_null($sgkIlacKodu) && !is_numeric($sgkIlacKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($sgkIlacKodu)), __LINE__);
        }
        $this->sgkIlacKodu = $sgkIlacKodu;
        return $this;
    }
    /**
     * Get ambalajMiktari value
     * @return float|null
     */
    public function getAmbalajMiktari()
    {
        return $this->ambalajMiktari;
    }
    /**
     * Set ambalajMiktari value
     * @param float $ambalajMiktari
     * @return \StructType\IlacDVO
     */
    public function setAmbalajMiktari($ambalajMiktari = null)
    {
        $this->ambalajMiktari = $ambalajMiktari;
        return $this;
    }
    /**
     * Get tekDozMiktari value
     * @return float|null
     */
    public function getTekDozMiktari()
    {
        return $this->tekDozMiktari;
    }
    /**
     * Set tekDozMiktari value
     * @param float $tekDozMiktari
     * @return \StructType\IlacDVO
     */
    public function setTekDozMiktari($tekDozMiktari = null)
    {
        $this->tekDozMiktari = $tekDozMiktari;
        return $this;
    }
    /**
     * Get kutuBirimMiktari value
     * @return float|null
     */
    public function getKutuBirimMiktari()
    {
        return $this->kutuBirimMiktari;
    }
    /**
     * Set kutuBirimMiktari value
     * @param float $kutuBirimMiktari
     * @return \StructType\IlacDVO
     */
    public function setKutuBirimMiktari($kutuBirimMiktari = null)
    {
        $this->kutuBirimMiktari = $kutuBirimMiktari;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\IlacDVO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
